Notices

June 2024

uniFLOW Online Security Advisory

10 Jun 2024 — uniFLOW Online Device Registration Susceptible To Compromise A potential susceptibility to compromise in device registration has been identified in uniFLOW Online. Whilst we have not received any reports of exploitation, we recommend that you read the security advisory link. Details of the vulnerability, ...

April 2024

Updated
Regarding Vulnerability Measure against Buffer Overflow for Laser Printers and Small Office Multifunction Printers

09 Apr 2024 — Thank you for using Canon Products. Multiple cases of buffer overflow vulnerabilities have been found for Canon Laser Printers and Small Office Multifunction Printers. These vulnerabilities indicate the possibility that if a product is connected directly to the Internet without using a router (wired ...

February 2023

uniFLOW online and Therefore online - Temporary Service Disruption

08 Feb 2023 — Thank you for using Canon Products. Due to an issue in Microsoft Azure Data Center in the Southeast Asia Region, uniFLOW online and Therefore online services are temporarily experiencing service disruption. Please refer the below sites for latest updates: Microsoft Azure Status Update: Please refer ...

July 2022

Updated
Regarding Measure against RSA Key Generation Vulnerability for Enterprise/Small Office Multifunction Printers and Laser Printers/Inkjet Printers

28 Jul 2022 — Thank you for using Canon products. A vulnerability affecting Cryptographic library’s RSA Key generation in Canon’s Enterprise/Small Office Multifunction Printers and Laser Printers/Inkjet Printers has been confirmed. (CVE-2022-26320) This vulnerability may allow efficient calculation of private RSA ...

June 2022

To Users of Canon's Multifunctional Printers / Laser Printers / Inkjet Printers

14 Jun 2022 — Thank you for using Canon products. A recent announcement by Google on “Less secure apps & your Google Account” has come to our attention. According to the announcement, Google will no longer support the use of third-party apps or devices which require a user to sign-in to Google Account using ...

September 2020

Regarding the Security Advisory for Canon Laser Printer and Small Office Multifunctional Printer Related to IP Stack Protocol

30 Sep 2020 — Thank you for using Canon Products. SCADAfence Ltd, a cybersecurity company headquartered in Israel, has drawn to our attention the vulnerabilities related to the IP stack protocol, which is used by Canon Laser Printer and Small office Multifunctional Printer. (CVE-2020-16849) Due to these ...

August 2018

Regarding the Results of Our Investigation Into Vulnerabilities in Products Equipped with Fax Functions

30 Aug 2018 — Recently, researchers reported on vulnerabilities found in the communication protocols in the fax functions of certain products. (CVE-ID: CVE-2018-5924, CVE 2018-5925).Please  refer here for details of the impact of these vulnerabilities on Canon products equipped with fax functions.

February 2018

Information on 'Meltdown' and 'Spectre' Vulnerabilities

20 Feb 2018 — Information on 'Meltdown' and 'Spectre' VulnerabilitiesThank you for using Canon products.With the recent disclosure of "Meltdown" and "Spectre" vulnerabilities, we would like to provide information on how it affect our products.Supplementary Information on 'Meltdown' and 'Spectre': The vulnerabilities ...

December 2017

How to protect against WPA2 vulnerability (KRACKs) - Office Multi-function printers, small office multi-function printers, production printers, and laser beam printers with Wi-Fi feature

08 Dec 2017 — How to protect against WPA2 vulnerability (KRACKs) - Office Multi-function printers, small office multi-function printers, production printers, and laser beam printers with Wi-Fi feature​Thank you for using Canon products.With the recent disclosure of WPA2 Vulnerability (KRACKs), we would like to provide ...

How to protect against WPA2 vulnerability (KRACKs) - Inkjet printers, inkjet multi-function printers with Wi-Fi feature

08 Dec 2017 — Thank you for using Canon products.With the recent disclosure of WPA2 Vulnerability (KRACKs), we would like to provide information on proper safeguards to mitigate risks associated with this vulnerability when using Canon products.Supplementary Information on KRACKs: A vulnerability known as KRACKs in ...